docusign.account-brands.get-brand-resources
This method returns a specific branding resource file. A brand uses a set of brand resource files to control the sending, signing, email message, and captive (embedded) signing experiences. You can modify the default email messages and formats in these files and upload them to your brand to customize the user experience. Important: When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file. Note: Branding for either signing or sending must be enabled for the account (canSelfBrandSend , canSelfBrandSign, or both of these account settings must be true).
Returns a branding resource file.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
brandid | string | Yes | — | The ID of the brand. |
resourcecontenttype | string | Yes | — | The type of brand resource file to return. Valid values are: - sending - signing - email - signing_captive |
langcode | string | No | — | The ISO 3166-1 alpha-2 codes for the languages that the brand supports. |
return_master | string | No | — | Specifies which resource file data to return. When true, only the master resource file is returned. When false, only the elements that you modified are returned. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
brandid | string | Yes | — | The ID of the brand. |
resourcecontenttype | string | Yes | — | The type of brand resource file to return. Valid values are: - sending - signing - email - signing_captive |
langcode | string | No | — | The ISO 3166-1 alpha-2 codes for the languages that the brand supports. |
return_master | string | No | — | Specifies which resource file data to return. When true, only the master resource file is returned. When false, only the elements that you modified are returned. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/brands/{brandId}/resources/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/brands/{brandId}/resources/ |
* (any state) | fail | failed | Record the failure reason |
API Usage
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.account-brands.get-brand-resources",
"initial_data": {
"base_url": "value",
"accountid": "value",
"brandid": "value",
"resourcecontenttype": "value"
}
}